Home > Agendize Scheduling

Company Skills


Resource representation

{ "id": {string}, "name": {string}, "description": {string}, "externalId": {string}, "selfLink": {string}, "services": [ { "id": {string}, "name": {string}, "selfLink": {string}, } ], "staffs": [ { "id": {string}, "firstName": {string}, "lastName": {string}, "emailAddress": {string}, "selfLink": {string}, } ] }
Parameter name Value Description
id string Identifier of the skill. Read-only
name string Name of the skill. Max length 255. writable
description string Description of the skill. Max length 65536. writable
externalId string Unique skill identifier from another (external) system. writable
selfLink string URL link to this skill resource description.
services list Services that use the skill. Read-only
services[].id list Identifier of the service.
services[].name list Name of the service.
services[].selfLink string URL link to the service resource description.
staffs list Staffs that use the skill. Read-only
staffs[].id list Identifier of the staff.
staffs[].firstName list First name of the staff.
staffs[].lastName list Last name of the staff.
staffs[].emailAddress list Email address of the staff.
staffs[].selfLink string URL link to the staff resource description.

Delete

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

DELETE https://api.agendize.com/api/2.3/scheduling/companies/{companyId}/skills/{skillId}

Parameters

Parameter name Value Description
Path parameters
companyId string Company identifier.
skillId string Skill identifier or external identifier.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns an empty response body and the status code 204.


Get

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/scheduling/companies/{companyId}/skills/{skillId}

Parameters

Parameter name Value Description
Path parameters
companyId string Company identifier.
skillId string Skill identifier or external identifier.
withServices boolean Also gets services that use the skill.
withStaffs boolean Also gets staff members that use the skill.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a Skill resource in the response body.


List

Returns entries on the account's skill list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/scheduling/companies/{companyId}/skills

Parameters

Parameter name Value Description
Path parameters
companyId string Company identifier.
Optional query parameters
withAccountSkills boolean Also gets account level kills.
withServices boolean Also gets services that use the skill.
withStaffs boolean Also gets staff members that use the skill.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a response body with the following structure:

{ items: [Skill resource] }

Insert

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

POST https://api.agendize.com/api/2.3/scheduling/companies/{companyId}/skills

Parameters

Parameter name Value Description
Path parameters
companyId string Company identifier.

Request body

In the request body, supply a Skill resource with the following properties:

Parameter name Value Description
Required Properties
name string Name of the skill.
Optional Properties
description string Description of the skill. Max length 65536. writable
externalId string Unique skill identifier from another (external) system.

Response

If successful, this method returns a Skill resource in the response body.


Update

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

PUT https://api.agendize.com/api/2.3/scheduling/companies/{companyId}/skills/{skillId}

Parameters

Parameter name Value Description
Path parameters
companyId string Company identifier.
skillId string Skill identifier or external identifier.

Request body

In the request body, supply a Skill resource with the following properties:

Parameter name Value Description
Optional Properties
name string Name of the skill. Max length 255.
description string Description of the skill. Max length 65536. writable
externalId string Unique skill identifier from another (external) system.

Response

If successful, this method returns a Skill resource in the response body.